Page MenuHomePhabricator

Don't truncate bundled cross-wiki notifications
Closed, ResolvedPublic

Description

As you can see from the screenshot, when a bundled cross-wiki notification gets displayed, it truncates the text to 1 line. If the notification doesn't have a primary link, this leaves the user in a jam as there isn't a clear way to get the full information.

We should probably just get rid of the truncation. Having it take up more room shouldn't be a big deal since the notification is collapsed by default anyway.

Details

Related Gerrit Patches:

Event Timeline

kaldari created this task.Apr 20 2017, 11:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kaldari updated the task description. (Show Details)Apr 20 2017, 11:49 PM

Here's what truncated vs untruncated would look like:

I like it. The extra context helps me know if the notification needs attention or not. For example, I can probably ignore "198.73.209.4 left a message on your talk page in 'Testing'.", but I wouldn't know that from the truncated version.

And a simulation of what it would look like with the current (long) text for the LoginNotify notification:

DannyH added a subscriber: DannyH.Apr 26 2017, 6:23 PM

@Catrope This bug is going to block the LoginNotify release. Do you think you'll be able to pick this up in an upcoming sprint?

Change 351348 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] Don't truncate notification header messages in bundles

https://gerrit.wikimedia.org/r/351348

Change 351348 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Don't truncate notification header messages in bundles

https://gerrit.wikimedia.org/r/351348

Niharika closed this task as Resolved.May 2 2017, 7:23 PM
Niharika claimed this task.
Niharika moved this task from To be estimated/discussed to Archive on the Community-Tech board.
Niharika added a subscriber: Niharika.

Thanks for working on this, @Catrope.